GET
Get Balance History

Authorizations

app-id
string
header
required

A unique identifier assigned to each application.

secret-key
string
header
required

A secure token associated with the app-id.

Query Parameters

from_date
string<date-time>

Start date for querying balance history in the format 'YYYY-MM-DDThh:mm:ssZ'. Defaults to UTC timezone.

Example:

"2022-01-01T00:00:00Z"

to_date
string<date-time>

End date for querying balance history in the format 'YYYY-MM-DDThh:mm:ssZ'. Defaults to UTC timezone.

Example:

"2022-01-31T23:59:59Z"

page
integer

The page number of the balance history results, for pagination purposes.

size
integer

Number of records to display per page in the paginated response.

Response

OK

from_date
string<date-time>

The start date for the balance history retrieved.

Example:

"2022-01-01T00:00:00Z"

to_date
string<date-time>

The end date for the balance history retrieved.

Example:

"2022-01-31T23:59:59Z"

page
integer

The current page number of the response.

Example:

1

size
integer

The number of records returned per page.

Example:

20

next_page
integer

The page number of the next set of results, if available.

Example:

2

total_page
integer

The total number of pages in the response.

Example:

10

total_count
integer

The total number of records available across all pages.

Example:

200

records
object[]